<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/MultiLangMultiDataProvider.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/widgets/AdminLanguageArticleEdit.inc.php" );

	class MLMDPLanguageArticle extends MultiLangMultiDataProvider {
		public function addNewDataProvider( $site_language_id ) {
			return new AdminLanguageArticleEdit( $this->getId() . "_" . $site_language_id , $this );
		}

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
			$this->iWidth = 680;
		}
	}

?>
